# SoMFRotation Class Reference
[Field classes]

`#include <Inventor/fields/SoMFRotation.h>`

Inheritance diagram for SoMFRotation:

List of all members.

## Detailed Description

The SoMFRotation class is a container for SbRotation values.

This field is used where nodes, engines or other field containers needs to store multiple rotation definitions.

See also:
  SoSFRotation

## Public Member Functions

void | setValues (const int start, const int num, const float q[][4])
void | set1Value (const int idx, const float q0, const float q1, const float q2, const float q3)
void | set1Value (const int idx, const float q[4])
void | set1Value (const int idx, const SbVec3f &axis, const float angle)
void | setValue (const float q0, const float q1, const float q2, const float q3)
void | setValue (const float q[4])
void | setValue (const SbVec3f &axis, const float angle)

## Static Public Member Functions

void | initClass (void)

## Member Function Documentation

void SoMFRotation::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoMField.

void SoMFRotation::setValues | ( | const int | start,
|  | const int | num,
|  | const float | q[][4]
| ) |

| Set the values of num rotations, starting from index start, using the quaternion quadruples from q.

void SoMFRotation::set1Value | ( | const int | idx,
|  | const float | q0,
|  | const float | q1,
|  | const float | q2,
|  | const float | q3
| ) |

| Set the rotation at idx from the quaternion values.

void SoMFRotation::set1Value | ( | const int | idx,
|  | const float | q[4]
| ) |

| Set the rotation at idx from the quaternion quadruple q.

void SoMFRotation::set1Value | ( | const int | idx,
|  | const SbVec3f & | axis,
|  | const float | angle
| ) |

| Set the rotation at idx from the rotation axis and angle.

void SoMFRotation::setValue | ( | const float | q0,
|  | const float | q1,
|  | const float | q2,
|  | const float | q3
| ) |

| Set the field to a single rotation from the quaternion values.

void SoMFRotation::setValue | ( | const float | q[4] | ) |

| Set the field to a single rotation from the quaternion quadruple q.

void SoMFRotation::setValue | ( | const SbVec3f & | axis,
|  | const float | angle
| ) |

| Set the field to a single rotation from the axis and angle.

The documentation for this class was generated from the following files:

- SoMFRotation.h
- SoMFRotation.cpp